package com.gree.mall.manager.bean.tax;

import com.gree.mall.manager.plus.entity.OrderTax;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@ApiModel
@Data
public class RspOrderTax extends OrderTax {

    @ApiModelProperty("商品分类")
    public String categoryNames;

    @ApiModelProperty(value = "购买人姓名")
    private String buyerName;

    @ApiModelProperty(value = "购买人身份证")
    private String buyerIdCard;

    @ApiModelProperty(value = "购买人手机号")
    private String buyerMobile;

    @ApiModelProperty(value = "国补金额")
    private BigDecimal couponMerchantContribute;
}
